import 'HLSManifestLanguage.dart';

class ISO_639_2_LanguageCode {
  static HLSManifestLanguage getLanguageByCode(String code) {
    switch (code) {
      case "aar":
        return HLSManifestLanguage(code, "Afar");
      case "abk":
        return HLSManifestLanguage(code, "Abkhazian");
      case "ace":
        return HLSManifestLanguage(code, "Achinese");
      case "ach":
        return HLSManifestLanguage(code, "Acoli");
      case "ada":
        return HLSManifestLanguage(code, "Adangme");
      case "ady":
        return HLSManifestLanguage(code, "Adyghe");
      case "afa":
        return HLSManifestLanguage(code, "Afro-Asiatic Languages");
      case "afh":
        return HLSManifestLanguage(code, "Afrihili");
      case "afr":
        return HLSManifestLanguage(code, "Afrikaans");
      case "ain":
        return HLSManifestLanguage(code, "Ainu");
      case "aka":
        return HLSManifestLanguage(code, "Akan");
      case "akk":
        return HLSManifestLanguage(code, "Akkadian");
      case "alb":
        return HLSManifestLanguage(code, "Albanian");
      case "sqi":
        return HLSManifestLanguage(code, "Albanian");
      case "ale":
        return HLSManifestLanguage(code, "Aleut");
      case "alg":
        return HLSManifestLanguage(code, "Algonquian Languages");
      case "alt":
        return HLSManifestLanguage(code, "Southern Altai");
      case "amh":
        return HLSManifestLanguage(code, "Amharic");
      case "ang":
        return HLSManifestLanguage(code, "English", nativeName: "English");
      case "anp":
        return HLSManifestLanguage(code, "Angika");
      case "apa":
        return HLSManifestLanguage(code, "Apache Languages");
      case "ara":
        return HLSManifestLanguage(code, "Arabic", nativeName: "العربية");
      case "arc":
        return HLSManifestLanguage(code, "Official Aramaic");
      case "arg":
        return HLSManifestLanguage(code, "Aragonese");
      case "arm":
        return HLSManifestLanguage(code, "Armenian");
      case "hye":
        return HLSManifestLanguage(code, "Armenian");
      case "arn":
        return HLSManifestLanguage(code, "Mapudungun");
      case "arp":
        return HLSManifestLanguage(code, "Arapaho");
      case "art":
        return HLSManifestLanguage(code, "Artificial Languages");
      case "arw":
        return HLSManifestLanguage(code, "Arawak");
      case "asm":
        return HLSManifestLanguage(code, "Assamese");
      case "ast":
        return HLSManifestLanguage(code, "Asturleonese");
      case "ath":
        return HLSManifestLanguage(code, "Athapascan Languages");
      case "aus":
        return HLSManifestLanguage(code, "Australian Languages");
      case "ava":
        return HLSManifestLanguage(code, "Avaric");
      case "ave":
        return HLSManifestLanguage(code, "Avestan");
      case "awa":
        return HLSManifestLanguage(code, "Awadhi");
      case "aym":
        return HLSManifestLanguage(code, "Aymara");
      case "aze":
        return HLSManifestLanguage(code, "Azerbaijani");
      case "bad":
        return HLSManifestLanguage(code, "Banda Languages");
      case "bai":
        return HLSManifestLanguage(code, "Bamileke Languages");
      case "bak":
        return HLSManifestLanguage(code, "Bashkir");
      case "bal":
        return HLSManifestLanguage(code, "Baluchi");
      case "bam":
        return HLSManifestLanguage(code, "Bambara");
      case "ban":
        return HLSManifestLanguage(code, "Balinese");
      case "baq":
        return HLSManifestLanguage(code, "Basque");
      case "eus":
        return HLSManifestLanguage(code, "Basque");
      case "bas":
        return HLSManifestLanguage(code, "Basa");
      case "bat":
        return HLSManifestLanguage(code, "Baltic Languages");
      case "bej":
        return HLSManifestLanguage(code, "Beja");
      case "bel":
        return HLSManifestLanguage(code, "Belarusian");
      case "bem":
        return HLSManifestLanguage(code, "Bemba");
      case "ben":
        return HLSManifestLanguage(code, "Bengali", nativeName: "বাংলা");
      case "ber":
        return HLSManifestLanguage(code, "Berber Languages");
      case "bho":
        return HLSManifestLanguage(code, "Bhojpuri");
      case "bih":
        return HLSManifestLanguage(code, "Bihari Languages");
      case "bik":
        return HLSManifestLanguage(code, "Bikol");
      case "bin":
        return HLSManifestLanguage(code, "Bini");
      case "bis":
        return HLSManifestLanguage(code, "Bislama");
      case "bla":
        return HLSManifestLanguage(code, "Siksika");
      case "bnt":
        return HLSManifestLanguage(code, "Bantu Languages");
      case "tib":
        return HLSManifestLanguage(code, "Tibetan");
      case "bod":
        return HLSManifestLanguage(code, "Tibetan");
      case "bos":
        return HLSManifestLanguage(code, "Bosnian");
      case "bra":
        return HLSManifestLanguage(code, "Braj");
      case "bre":
        return HLSManifestLanguage(code, "Breton");
      case "btk":
        return HLSManifestLanguage(code, "Batak Languages");
      case "bua":
        return HLSManifestLanguage(code, "Buriat");
      case "bug":
        return HLSManifestLanguage(code, "Buginese");
      case "bul":
        return HLSManifestLanguage(code, "Bulgarian");
      case "bur":
        return HLSManifestLanguage(code, "Burmese");
      case "mya":
        return HLSManifestLanguage(code, "Burmese");
      case "byn":
        return HLSManifestLanguage(code, "Blin");
      case "cad":
        return HLSManifestLanguage(code, "Caddo");
      case "cai":
        return HLSManifestLanguage(code, "Central American Indian Languages");
      case "car":
        return HLSManifestLanguage(code, "Galibi Carib");
      case "cat":
        return HLSManifestLanguage(code, "Catalan");
      case "cau":
        return HLSManifestLanguage(code, "Caucasian Languages");
      case "ceb":
        return HLSManifestLanguage(code, "Cebuano");
      case "cel":
        return HLSManifestLanguage(code, "Celtic Languages");
      case "cze":
        return HLSManifestLanguage(code, "Czech");
      case "ces":
        return HLSManifestLanguage(code, "Czech");
      case "cha":
        return HLSManifestLanguage(code, "Chamorro");
      case "chb":
        return HLSManifestLanguage(code, "Chibcha");
      case "che":
        return HLSManifestLanguage(code, "Chechen");
      case "chg":
        return HLSManifestLanguage(code, "Chagatai");
      case "chi":
        return HLSManifestLanguage(code, "Chinese");
      case "zho":
        return HLSManifestLanguage(code, "Chinese");
      case "chk":
        return HLSManifestLanguage(code, "Chuukese");
      case "chm":
        return HLSManifestLanguage(code, "Mari");
      case "chn":
        return HLSManifestLanguage(code, "Chinook Jargon");
      case "cho":
        return HLSManifestLanguage(code, "Choctaw");
      case "chp":
        return HLSManifestLanguage(code, "Chipewyan");
      case "chr":
        return HLSManifestLanguage(code, "Cherokee");
      case "chu":
        return HLSManifestLanguage(code, "Church Slavic");
      case "chv":
        return HLSManifestLanguage(code, "Chuvash");
      case "chy":
        return HLSManifestLanguage(code, "Cheyenne");
      case "cmc":
        return HLSManifestLanguage(code, "Chamic Languages");
      case "cnr":
        return HLSManifestLanguage(code, "Montenegrin");
      case "cop":
        return HLSManifestLanguage(code, "Coptic");
      case "cor":
        return HLSManifestLanguage(code, "Cornish");
      case "cos":
        return HLSManifestLanguage(code, "Corsican");
      case "cpe":
        return HLSManifestLanguage(code, "Creoles and Pidgins (English based)");
      case "cpf":
        return HLSManifestLanguage(code, "Creoles and Pidgins (Frensh based)");
      case "cpp":
        return HLSManifestLanguage(
            code, "Creoles and Pidgins (Portuguese based)");
      case "cre":
        return HLSManifestLanguage(code, "Cree");
      case "crh":
        return HLSManifestLanguage(code, "Crimean Turkish");
      case "crp":
        return HLSManifestLanguage(code, "Creoles and Pidgins");
      case "csb":
        return HLSManifestLanguage(code, "Kashubian");
      case "cus":
        return HLSManifestLanguage(code, "Cushitic Languages");
      case "wel":
        return HLSManifestLanguage(code, "Welsh");
      case "cym":
        return HLSManifestLanguage(code, "Welsh");
      case "dak":
        return HLSManifestLanguage(code, "Dakota");
      case "dan":
        return HLSManifestLanguage(code, "Danish");
      case "dar":
        return HLSManifestLanguage(code, "Dargwa");
      case "day":
        return HLSManifestLanguage(code, "Land Dayak Languages");
      case "del":
        return HLSManifestLanguage(code, "Delaware");
      case "den":
        return HLSManifestLanguage(code, "Slave (Athapascan)");
      case "ger":
        return HLSManifestLanguage(code, "German", nativeName: "Deutsch");
      case "deu":
        return HLSManifestLanguage(code, "German", nativeName: "Deutsch");
      case "dgr":
        return HLSManifestLanguage(code, "Dogrib");
      case "din":
        return HLSManifestLanguage(code, "Dinka");
      case "div":
        return HLSManifestLanguage(code, "Divehi");
      case "doi":
        return HLSManifestLanguage(code, "Dogri");
      case "dra":
        return HLSManifestLanguage(code, "Dravidian Languages");
      case "dsb":
        return HLSManifestLanguage(code, "Lower Sorbian");
      case "dua":
        return HLSManifestLanguage(code, "Duala");
      case "dum":
        return HLSManifestLanguage(code, "Dutch");
      case "dut":
        return HLSManifestLanguage(code, "Dutch; Flemish");
      case "nld":
        return HLSManifestLanguage(code, "Dutch; Flemish");
      case "dyu":
        return HLSManifestLanguage(code, "Dyula");
      case "dzo":
        return HLSManifestLanguage(code, "Dzongkha");
      case "efi":
        return HLSManifestLanguage(code, "Efik");
      case "egy":
        return HLSManifestLanguage(code, "Egyptian (Ancient)");
      case "eka":
        return HLSManifestLanguage(code, "Ekajuk");
      case "gre":
        return HLSManifestLanguage(code, "Greek");
      case "ell":
        return HLSManifestLanguage(code, "Greek");
      case "elx":
        return HLSManifestLanguage(code, "Elamite");
      case "eng":
        return HLSManifestLanguage(code, "English");
      case "enm":
        return HLSManifestLanguage(code, "English");
      case "epo":
        return HLSManifestLanguage(code, "Esperanto");
      case "est":
        return HLSManifestLanguage(code, "Estonian");
      case "baq":
        return HLSManifestLanguage(code, "Basque");
      case "eus":
        return HLSManifestLanguage(code, "Basque");
      case "ewe":
        return HLSManifestLanguage(code, "Ewe");
      case "ewo":
        return HLSManifestLanguage(code, "Ewondo");
      case "fan":
        return HLSManifestLanguage(code, "Fang");
      case "fao":
        return HLSManifestLanguage(code, "Faroese");
      case "per":
        return HLSManifestLanguage(code, "Persian");
      case "fas":
        return HLSManifestLanguage(code, "Persian");
      case "fat":
        return HLSManifestLanguage(code, "Fanti");
      case "fij":
        return HLSManifestLanguage(code, "Fijian");
      case "fil":
        return HLSManifestLanguage(code, "Filipino");
      case "fin":
        return HLSManifestLanguage(code, "Finnish");
      case "flu":
        return HLSManifestLanguage(code, "	Finno-Ugrian Languages");
      case "fon":
        return HLSManifestLanguage(code, "Fon");
      case "fre":
        return HLSManifestLanguage(code, "French", nativeName: "français");
      case "fra":
        return HLSManifestLanguage(code, "French", nativeName: "français");
      case "frm":
        return HLSManifestLanguage(code, "French", nativeName: "français");
      case "fro":
        return HLSManifestLanguage(code, "French", nativeName: "français");
      case "frr":
        return HLSManifestLanguage(code, "Northern Frisian");
      case "frs":
        return HLSManifestLanguage(code, "Eastern Frisian");
      case "fry":
        return HLSManifestLanguage(code, "Western Frisian");
      case "ful":
        return HLSManifestLanguage(code, "Fulah");
      case "fur":
        return HLSManifestLanguage(code, "Friulian");
      case "gaa":
        return HLSManifestLanguage(code, "Ga");
      case "gay":
        return HLSManifestLanguage(code, "Gayo");
      case "gba":
        return HLSManifestLanguage(code, "Gbaya");
      case "gem":
        return HLSManifestLanguage(code, "Germanic Languages");
      case "geo":
        return HLSManifestLanguage(code, "Georgian");
      case "kat":
        return HLSManifestLanguage(code, "Georgian");
      case "gez":
        return HLSManifestLanguage(code, "Geez");
      case "gil":
        return HLSManifestLanguage(code, "Gilbertese");
      case "gla":
        return HLSManifestLanguage(code, "Gaelic");
      case "gle":
        return HLSManifestLanguage(code, "Irish");
      case "glg":
        return HLSManifestLanguage(code, "Galician");
      case "glv":
        return HLSManifestLanguage(code, "Manx");
      case "gmh":
        return HLSManifestLanguage(code, "German, Middle High");
      case "goh":
        return HLSManifestLanguage(code, "German, Old High ");
      case "gon":
        return HLSManifestLanguage(code, "Gondi");
      case "gor":
        return HLSManifestLanguage(code, "Gorontalo");
      case "got":
        return HLSManifestLanguage(code, "Gothic");
      case "grb":
        return HLSManifestLanguage(code, "Grebo");
      case "grc":
        return HLSManifestLanguage(code, "Greek, Ancien");
      case "grn":
        return HLSManifestLanguage(code, "Guarani");
      case "gsw":
        return HLSManifestLanguage(code, "Swiss German");
      case "guj":
        return HLSManifestLanguage(code, "Gujarati");
      case "gwi":
        return HLSManifestLanguage(code, "Gwich'in");
      case "hai":
        return HLSManifestLanguage(code, "Haida");
      case "hat":
        return HLSManifestLanguage(code, "Haitian");
      case "hau":
        return HLSManifestLanguage(code, "Hausa");
      case "haw":
        return HLSManifestLanguage(code, "Hawaiian");
      case "heb":
        return HLSManifestLanguage(code, "Hebrew");
      case "her":
        return HLSManifestLanguage(code, "Herero");
      case "hil":
        return HLSManifestLanguage(code, "Hiligaynon");
      case "him":
        return HLSManifestLanguage(code, "Himachali Languages");
      case "hin":
        return HLSManifestLanguage(code, "Hindi");
      case "hit":
        return HLSManifestLanguage(code, "Hittite");
      case "hmn":
        return HLSManifestLanguage(code, "Hmong");
      case "hmo":
        return HLSManifestLanguage(code, "Hiri Motu");
      case "hrv":
        return HLSManifestLanguage(code, "Croatian");
      case "hsb":
        return HLSManifestLanguage(code, "Upper Sorbian");
      case "hun":
        return HLSManifestLanguage(code, "Hungarian");
      case "hup":
        return HLSManifestLanguage(code, "Hupa");
      case "arm":
        return HLSManifestLanguage(code, "Armenian");
      case "hye":
        return HLSManifestLanguage(code, "Armenian");
      case "iba":
        return HLSManifestLanguage(code, "Iban");
      case "ibo":
        return HLSManifestLanguage(code, "Igbo");
      case "ice":
        return HLSManifestLanguage(code, "Icelandic");
      case "isl":
        return HLSManifestLanguage(code, "Icelandic");
      case "ido":
        return HLSManifestLanguage(code, "Ido");
      case "iii":
        return HLSManifestLanguage(code, "Sichuan Yi");
      case "ijo":
        return HLSManifestLanguage(code, "Ijo Languages");
      case "iku":
        return HLSManifestLanguage(code, "Inuktitut");
      case "ile":
        return HLSManifestLanguage(code, "Interlingue");
      case "ilo":
        return HLSManifestLanguage(code, "Iloko");
      case "ina":
        return HLSManifestLanguage(code, "Interlingua");
      case "inc":
        return HLSManifestLanguage(code, "Indic Languages");
      case "ind":
        return HLSManifestLanguage(code, "Indonesian");
      case "ine":
        return HLSManifestLanguage(code, "Indo-European Lnguages");
      case "inh":
        return HLSManifestLanguage(code, "Ingush");
      case "ipk":
        return HLSManifestLanguage(code, "Inupiaq");
      case "ira":
        return HLSManifestLanguage(code, "Iranian Languages");
      case "iro":
        return HLSManifestLanguage(code, "Iroquoian Languages");
      case "ita":
        return HLSManifestLanguage(code, "Italian");
      case "jav":
        return HLSManifestLanguage(code, "Javanese");
      case "jbo":
        return HLSManifestLanguage(code, "Lojban");
      case "jpn":
        return HLSManifestLanguage(code, "Japanese");
      case "jpr":
        return HLSManifestLanguage(code, "Judeo-Persian");
      case "jrb":
        return HLSManifestLanguage(code, "Judeo-Arabic");
      case "kaa":
        return HLSManifestLanguage(code, "Kara-Kalpak");
      case "kab":
        return HLSManifestLanguage(code, "Kabyle");
      case "kac":
        return HLSManifestLanguage(code, "Kachin");
      case "kal":
        return HLSManifestLanguage(code, "Kalaallisut");
      case "kam":
        return HLSManifestLanguage(code, "Kamba");
      case "kan":
        return HLSManifestLanguage(code, "Kannada");
      case "kar":
        return HLSManifestLanguage(code, "Karen Languages");
      case "kas":
        return HLSManifestLanguage(code, "Kashmiri");
      case "kau":
        return HLSManifestLanguage(code, "Kanuri");
      case "kaw":
        return HLSManifestLanguage(code, "Kawi");
      case "kaz":
        return HLSManifestLanguage(code, "Kazakh");
      case "kbd":
        return HLSManifestLanguage(code, "Kabardian");
      case "kha":
        return HLSManifestLanguage(code, "Khasi");
      case "khi":
        return HLSManifestLanguage(code, "Khoisan Languages");
      case "khm":
        return HLSManifestLanguage(code, "Central Khmer");
      case "kho":
        return HLSManifestLanguage(code, "Khotanese");
      case "kik":
        return HLSManifestLanguage(code, "Kikuyu");
      case "kin":
        return HLSManifestLanguage(code, "Kinyarwanda");
      case "kir":
        return HLSManifestLanguage(code, "Kirghiz");
      case "kmb":
        return HLSManifestLanguage(code, "Kimbundu");
      case "kok":
        return HLSManifestLanguage(code, "Konkani");
      case "kom":
        return HLSManifestLanguage(code, "Komi");
      case "kon":
        return HLSManifestLanguage(code, "Kongo");
      case "kor":
        return HLSManifestLanguage(code, "Korean");
      case "kos":
        return HLSManifestLanguage(code, "Kosraean");
      case "kpe":
        return HLSManifestLanguage(code, "Kpelle");
      case "krc":
        return HLSManifestLanguage(code, "Karachay-Balkar");
      case "krl":
        return HLSManifestLanguage(code, "Karelian");
      case "kro":
        return HLSManifestLanguage(code, "Kru Languages");
      case "kru":
        return HLSManifestLanguage(code, "Kurukh");
      case "kua":
        return HLSManifestLanguage(code, "Kuanyama");
      case "kum":
        return HLSManifestLanguage(code, "Kumyk");
      case "kur":
        return HLSManifestLanguage(code, "Kurdish");
      case "kut":
        return HLSManifestLanguage(code, "Kutenai");
      case "lad":
        return HLSManifestLanguage(code, "Ladino");
      case "lah":
        return HLSManifestLanguage(code, "Lahnda");
      case "lam":
        return HLSManifestLanguage(code, "Lamba");
      case "lao":
        return HLSManifestLanguage(code, "Lao");
      case "lat":
        return HLSManifestLanguage(code, "Latin");
      case "lav":
        return HLSManifestLanguage(code, "Latvian");
      case "lez":
        return HLSManifestLanguage(code, "Lezghian");
      case "lim":
        return HLSManifestLanguage(code, "Limburgan");
      case "lin":
        return HLSManifestLanguage(code, "Lingala");
      case "lit":
        return HLSManifestLanguage(code, "Lithuanian");
      case "lol":
        return HLSManifestLanguage(code, "Mongo");
      case "loz":
        return HLSManifestLanguage(code, "Lozi");
      case "ltz":
        return HLSManifestLanguage(code, "Luxembourgish");
      case "lua":
        return HLSManifestLanguage(code, "Luba-Lulua");
      case "lub":
        return HLSManifestLanguage(code, "Luba-Katanga");
      case "lug":
        return HLSManifestLanguage(code, "Ganda");
      case "lui":
        return HLSManifestLanguage(code, "Luiseno");
      case "lun":
        return HLSManifestLanguage(code, "Lunda");
      case "luo":
        return HLSManifestLanguage(code, "Luo");
      case "lus":
        return HLSManifestLanguage(code, "Lushai");
      case "mac":
        return HLSManifestLanguage(code, "Macedonian");
      case "mkd":
        return HLSManifestLanguage(code, "Macedonian");
      case "mad":
        return HLSManifestLanguage(code, "Madurese");
      case "mag":
        return HLSManifestLanguage(code, "Magahi");
      case "mah":
        return HLSManifestLanguage(code, "Marshallese");
      case "mai":
        return HLSManifestLanguage(code, "Maithili");
      case "mak":
        return HLSManifestLanguage(code, "Makasar");
      case "mal":
        return HLSManifestLanguage(code, "Malayalam");
      case "man":
        return HLSManifestLanguage(code, "Mandingo");
      case "mao":
        return HLSManifestLanguage(code, "Maori");
      case "mri":
        return HLSManifestLanguage(code, "Maori");
      case "map":
        return HLSManifestLanguage(code, "Austronesian Languages");
      case "mar":
        return HLSManifestLanguage(code, "Marathi");
      case "mas":
        return HLSManifestLanguage(code, "Masai");
      case "may":
        return HLSManifestLanguage(code, "Malay");
      case "msa":
        return HLSManifestLanguage(code, "Malay");
      case "mdf":
        return HLSManifestLanguage(code, "Moksha");
      case "mdr":
        return HLSManifestLanguage(code, "Mandar");
      case "men":
        return HLSManifestLanguage(code, "Mende");
      case "mga":
        return HLSManifestLanguage(code, "Irish");
      case "mic":
        return HLSManifestLanguage(code, "Mi'kmaq");
      case "min":
        return HLSManifestLanguage(code, "Minangkabau");
      case "mis":
        return HLSManifestLanguage(code, "Uncoded Languages");
      case "mac":
        return HLSManifestLanguage(code, "Macedonian");
      case "mkd":
        return HLSManifestLanguage(code, "Macedonian");
      case "mkh":
        return HLSManifestLanguage(code, "Mon-Khmer Languages");
      case "mlg":
        return HLSManifestLanguage(code, "Malagasy");
      case "mlt":
        return HLSManifestLanguage(code, "Maltese");
      case "mnc":
        return HLSManifestLanguage(code, "Manchu");
      case "mni":
        return HLSManifestLanguage(code, "Manipuri");
      case "mno":
        return HLSManifestLanguage(code, "Manobo Languages");
      case "moh":
        return HLSManifestLanguage(code, "Mohawk");
      case "mon":
        return HLSManifestLanguage(code, "Mongolian");
      case "mos":
        return HLSManifestLanguage(code, "Mossi");
      case "mul":
        return HLSManifestLanguage(code, "Original");
      case "mun":
        return HLSManifestLanguage(code, "Munda Languages");
      case "mus":
        return HLSManifestLanguage(code, "Creek");
      case "mwl":
        return HLSManifestLanguage(code, "Mirandese");
      case "mwr":
        return HLSManifestLanguage(code, "Marwari");
      case "myn":
        return HLSManifestLanguage(code, "Mayan Languages");
      case "myv":
        return HLSManifestLanguage(code, "Erzya");
      case "nah":
        return HLSManifestLanguage(code, "Nahuatl Languages");
      case "nai":
        return HLSManifestLanguage(code, "North American Indian Languages");
      case "nap":
        return HLSManifestLanguage(code, "Neapolitan");
      case "nau":
        return HLSManifestLanguage(code, "Nauru");
      case "nav":
        return HLSManifestLanguage(code, "Navajo");
      case "nbl":
        return HLSManifestLanguage(code, "South Ndebele");
      case "nde":
        return HLSManifestLanguage(code, "North Ndebele");
      case "ndo":
        return HLSManifestLanguage(code, "Ndonga");
      case "nds":
        return HLSManifestLanguage(code, "Low German");
      case "nep":
        return HLSManifestLanguage(code, "Nepali");
      case "new":
        return HLSManifestLanguage(code, "Nepal Bhasa");
      case "nia":
        return HLSManifestLanguage(code, "Nias");
      case "nic":
        return HLSManifestLanguage(code, "Niger-Kordofanian Languages");
      case "niu":
        return HLSManifestLanguage(code, "Niuean");
      case "nno":
        return HLSManifestLanguage(code, "Norwegian Nynorsk");
      case "nob":
        return HLSManifestLanguage(code, "Norwegian Bokmål");
      case "nog":
        return HLSManifestLanguage(code, "Nogai");
      case "non":
        return HLSManifestLanguage(code, "Norse, Old");
      case "nor":
        return HLSManifestLanguage(code, "Norwegian");
      case "nqo":
        return HLSManifestLanguage(code, "N'Ko");
      case "nso":
        return HLSManifestLanguage(code, "Pedi");
      case "nub":
        return HLSManifestLanguage(code, "Nubian Languages");
      case "nwc":
        return HLSManifestLanguage(code, "Classical Newari");
      case "nya":
        return HLSManifestLanguage(code, "Chichewa");
      case "nym":
        return HLSManifestLanguage(code, "Nyamwezi");
      case "nyn":
        return HLSManifestLanguage(code, "Nyankole");
      case "nyo":
        return HLSManifestLanguage(code, "Nyoro");
      case "nzi":
        return HLSManifestLanguage(code, "Nzima");
      case "oci":
        return HLSManifestLanguage(code, "Occitan");
      case "oji":
        return HLSManifestLanguage(code, "Ojibwa");
      case "ori":
        return HLSManifestLanguage(code, "Oriya");
      case "orm":
        return HLSManifestLanguage(code, "Oromo");
      case "osa":
        return HLSManifestLanguage(code, "Osage");
      case "oss":
        return HLSManifestLanguage(code, "Ossetian");
      case "ota":
        return HLSManifestLanguage(code, "Turkish, Ottoman");
      case "oto":
        return HLSManifestLanguage(code, "Otomian Languages");
      case "paa":
        return HLSManifestLanguage(code, "Papuan Languages");
      case "pag":
        return HLSManifestLanguage(code, "Pangasinan");
      case "pal":
        return HLSManifestLanguage(code, "Pahlavi");
      case "pam":
        return HLSManifestLanguage(code, "Pampanga");
      case "pan":
        return HLSManifestLanguage(code, "Punjabi");
      case "pap":
        return HLSManifestLanguage(code, "Papiamento");
      case "pau":
        return HLSManifestLanguage(code, "Palauan");
      case "peo":
        return HLSManifestLanguage(code, "Persian, Old");
      case "phi":
        return HLSManifestLanguage(code, "Philippine Languages");
      case "phn":
        return HLSManifestLanguage(code, "Phoenician");
      case "pli":
        return HLSManifestLanguage(code, "Pali");
      case "pol":
        return HLSManifestLanguage(code, "Polish");
      case "pon":
        return HLSManifestLanguage(code, "Pohnpeian");
      case "por":
        return HLSManifestLanguage(code, "Portuguese");
      case "pra":
        return HLSManifestLanguage(code, "Prakrit Languages");
      case "pro":
        return HLSManifestLanguage(code, "Provençal, Old");
      case "pus":
        return HLSManifestLanguage(code, "Pushto");
      case "que":
        return HLSManifestLanguage(code, "Quechua");
      case "raj":
        return HLSManifestLanguage(code, "Rajasthani");
      case "rap":
        return HLSManifestLanguage(code, "Rapanui");
      case "rar":
        return HLSManifestLanguage(code, "Rarotongan");
      case "roa":
        return HLSManifestLanguage(code, "Romance Languages");
      case "roh":
        return HLSManifestLanguage(code, "Romansh");
      case "rom":
        return HLSManifestLanguage(code, "Romany");
      case "rum":
        return HLSManifestLanguage(code, "Romanian");
      case "ron":
        return HLSManifestLanguage(code, "Romanian");
      case "run":
        return HLSManifestLanguage(code, "Rundi");
      case "rup":
        return HLSManifestLanguage(code, "Aromanian");
      case "rus":
        return HLSManifestLanguage(code, "Russian");
      case "sad":
        return HLSManifestLanguage(code, "Sandawe");
      case "sag":
        return HLSManifestLanguage(code, "Sango");
      case "sah":
        return HLSManifestLanguage(code, "Yakut");
      case "sai":
        return HLSManifestLanguage(code, "South American Indian Languages");
      case "sal":
        return HLSManifestLanguage(code, "Salishan Languages");
      case "sam":
        return HLSManifestLanguage(code, "Samaritan Aramaic");
      case "san":
        return HLSManifestLanguage(code, "Sanskrit");
      case "sas":
        return HLSManifestLanguage(code, "Sasak");
      case "sat":
        return HLSManifestLanguage(code, "Santali");
      case "scn":
        return HLSManifestLanguage(code, "Sicilian");
      case "sco":
        return HLSManifestLanguage(code, "Scots");
      case "sel":
        return HLSManifestLanguage(code, "Selkup");
      case "sem":
        return HLSManifestLanguage(code, "Semitic Languages");
      case "sga":
        return HLSManifestLanguage(code, "Irish, Old");
      case "sgn":
        return HLSManifestLanguage(code, "Sign Languages");
      case "shn":
        return HLSManifestLanguage(code, "Shan");
      case "sid":
        return HLSManifestLanguage(code, "Sidamo");
      case "sin":
        return HLSManifestLanguage(code, "Sinhala");
      case "sio":
        return HLSManifestLanguage(code, "Siouan Languages");
      case "sit":
        return HLSManifestLanguage(code, "Sino-Tibetan Languages");
      case "sla":
        return HLSManifestLanguage(code, "Slavic Languages");
      case "slo":
        return HLSManifestLanguage(code, "Slovak");
      case "slk":
        return HLSManifestLanguage(code, "Slovak");
      case "slv":
        return HLSManifestLanguage(code, "Slovenian");
      case "sma":
        return HLSManifestLanguage(code, "Southern Sami");
      case "sme":
        return HLSManifestLanguage(code, "Northern Sami");
      case "smi":
        return HLSManifestLanguage(code, "Sami Languages");
      case "smj":
        return HLSManifestLanguage(code, "Lule Sami");
      case "smn":
        return HLSManifestLanguage(code, "Inari Sami");
      case "smo":
        return HLSManifestLanguage(code, "Samoan");
      case "sms":
        return HLSManifestLanguage(code, "Skolt Sami");
      case "sna":
        return HLSManifestLanguage(code, "Shona");
      case "snd":
        return HLSManifestLanguage(code, "Sindhi");
      case "snk":
        return HLSManifestLanguage(code, "Soninke");
      case "sog":
        return HLSManifestLanguage(code, "Sogdian");
      case "som":
        return HLSManifestLanguage(code, "Somali");
      case "son":
        return HLSManifestLanguage(code, "Songhai Languages");
      case "sot":
        return HLSManifestLanguage(code, "Sotho, Southern");
      case "spa":
        return HLSManifestLanguage(code, "Spanish");
      case "srd":
        return HLSManifestLanguage(code, "Sardinian");
      case "srn":
        return HLSManifestLanguage(code, "Sranan Tongo");
      case "srp":
        return HLSManifestLanguage(code, "Serbian");
      case "srr":
        return HLSManifestLanguage(code, "Serer");
      case "ssa":
        return HLSManifestLanguage(code, "Nilo-Saharan Languages");
      case "ssw":
        return HLSManifestLanguage(code, "Swati");
      case "suk":
        return HLSManifestLanguage(code, "Sukuma");
      case "sun":
        return HLSManifestLanguage(code, "Sundanese");
      case "sus":
        return HLSManifestLanguage(code, "Susu");
      case "sux":
        return HLSManifestLanguage(code, "Sumerian");
      case "swa":
        return HLSManifestLanguage(code, "Swahili");
      case "swe":
        return HLSManifestLanguage(code, "Swedish");
      case "syc":
        return HLSManifestLanguage(code, "Classical Syriac");
      case "syr":
        return HLSManifestLanguage(code, "Syriac");
      case "tah":
        return HLSManifestLanguage(code, "Tahitian");
      case "tai":
        return HLSManifestLanguage(code, "Tai Languages");
      case "tam":
        return HLSManifestLanguage(code, "Tamil");
      case "tat":
        return HLSManifestLanguage(code, "Tatar");
      case "tel":
        return HLSManifestLanguage(code, "Telugu");
      case "tem":
        return HLSManifestLanguage(code, "Timne");
      case "ter":
        return HLSManifestLanguage(code, "Tereno");
      case "tet":
        return HLSManifestLanguage(code, "Tetum");
      case "tgk":
        return HLSManifestLanguage(code, "Tajik");
      case "tgl":
        return HLSManifestLanguage(code, "Tagalog");
      case "tha":
        return HLSManifestLanguage(code, "Thai");
      case "tig":
        return HLSManifestLanguage(code, "Tigre");
      case "tir":
        return HLSManifestLanguage(code, "Tigrinya");
      case "tiv":
        return HLSManifestLanguage(code, "Tiv");
      case "tkl":
        return HLSManifestLanguage(code, "Tokelau");
      case "tlh":
        return HLSManifestLanguage(code, "Klingon");
      case "tli":
        return HLSManifestLanguage(code, "Tlingit");
      case "tmh":
        return HLSManifestLanguage(code, "Tamashek");
      case "tog":
        return HLSManifestLanguage(code, "Tonga (Nyasa)");
      case "ton":
        return HLSManifestLanguage(code, "Tonga (Tonga Islands)");
      case "tpi":
        return HLSManifestLanguage(code, "Tok Pisin");
      case "tsi":
        return HLSManifestLanguage(code, "Tsimshian");
      case "tsn":
        return HLSManifestLanguage(code, "Tswana");
      case "tso":
        return HLSManifestLanguage(code, "Tsonga");
      case "tuk":
        return HLSManifestLanguage(code, "Turkmen");
      case "tum":
        return HLSManifestLanguage(code, "Tumbuka");
      case "tup":
        return HLSManifestLanguage(code, "Tupi Languages");
      case "tur":
        return HLSManifestLanguage(code, "Turkish");
      case "tut":
        return HLSManifestLanguage(code, "Altaic Languages");
      case "tvl":
        return HLSManifestLanguage(code, "Tuvalu");
      case "twi":
        return HLSManifestLanguage(code, "Twi");
      case "tyv":
        return HLSManifestLanguage(code, "Tuvinian");
      case "udm":
        return HLSManifestLanguage(code, "Udmurt");
      case "uga":
        return HLSManifestLanguage(code, "Ugaritic");
      case "uig":
        return HLSManifestLanguage(code, "Uighur");
      case "ukr":
        return HLSManifestLanguage(code, "Ukrainian");
      case "umb":
        return HLSManifestLanguage(code, "Umbundu");
      case "urd":
        return HLSManifestLanguage(code, "Urdu", nativeName: "اردو");
      case "uzb":
        return HLSManifestLanguage(code, "Uzbek");
      case "vai":
        return HLSManifestLanguage(code, "Vai");
      case "ven":
        return HLSManifestLanguage(code, "Venda");
      case "vie":
        return HLSManifestLanguage(code, "Vietnamese");
      case "vol":
        return HLSManifestLanguage(code, "Volapük");
      case "vot":
        return HLSManifestLanguage(code, "Votic");
      case "wak":
        return HLSManifestLanguage(code, "Wakashan Languages");
      case "wal":
        return HLSManifestLanguage(code, "Wolaitta");
      case "war":
        return HLSManifestLanguage(code, "Waray");
      case "was":
        return HLSManifestLanguage(code, "Washo");
      case "wen":
        return HLSManifestLanguage(code, "Sorbian Languages");
      case "wln":
        return HLSManifestLanguage(code, "Walloon");
      case "wol":
        return HLSManifestLanguage(code, "Wolof");
      case "xal":
        return HLSManifestLanguage(code, "Kalmyk");
      case "xho":
        return HLSManifestLanguage(code, "Xhosa");
      case "yao":
        return HLSManifestLanguage(code, "Yao");
      case "yap":
        return HLSManifestLanguage(code, "Yapese");
      case "yid":
        return HLSManifestLanguage(code, "Yiddish");
      case "yor":
        return HLSManifestLanguage(code, "Yoruba");
      case "ypk":
        return HLSManifestLanguage(code, "Yupik Languages");
      case "zap":
        return HLSManifestLanguage(code, "Zapotec");
      case "zbl":
        return HLSManifestLanguage(code, "Blissymbols");
      case "zen":
        return HLSManifestLanguage(code, "Zenaga");
      case "zgh":
        return HLSManifestLanguage(code, "Standard Moroccan Tamazight");
      case "zha":
        return HLSManifestLanguage(code, "Zhuang");
      case "znd":
        return HLSManifestLanguage(code, "Zande Languages");
      case "zul":
        return HLSManifestLanguage(code, "Zulu");
      case "zun":
        return HLSManifestLanguage(code, "Zuni");
      case "zza":
        return HLSManifestLanguage(code, "Zaza");
      default:
        return HLSManifestLanguage("mul", "Original");
    }
  }
}
